<?php
/**
 * Plugin Name: Featured Image in Admin Panel
 * Plugin URI: https://www.seosthemes.com/featured-image-in-admin-panel/
 * Contributors: seosbg
 * Author: seosbg
 * Description: Add Featured Image in Admin Panel - Posts and Pages.
 * Version: 1.0
 * License: GPL2
*/

	//Add Admin Setting
	add_action('admin_menu', 'fiap_menu');
	function fiap_menu() {
		add_menu_page('Featured Image in Admin Panel', 'Featured Image in Admin Panel', 'administrator', 'fiap-settings-group', 'fiap_settings_page', plugins_url('featured-image-in-admin-panel/images/icon.png')
    );

    add_action('admin_init', 'fiap_register_settings');
}

	// Register Setting
	function fiap_register_settings() {
	}

	// Admin Enqueue Scripts
	
	function fiap_admin_styles() {
		wp_register_style( 'fiap_admin', plugin_dir_url(__FILE__) . 'css/admin.css' );
		wp_enqueue_style( 'fiap_admin');
	}
	
	add_action( 'admin_enqueue_scripts', 'fiap_admin_styles' );
	
/*********************************************************************************************************
* Add Admin Panel Thumbnails in Posts
**********************************************************************************************************/

add_filter('manage_posts_columns', 'fiap_posts_columns', 5);
add_action('manage_posts_custom_column', 'fiap_posts_custom_columns', 5, 2);

function fiap_posts_columns($defaults){
    $defaults['fiap_post_thumbs'] = __('Featured Image');
    return $defaults;
}

function fiap_posts_custom_columns($column_name, $id){
        if($column_name === 'fiap_post_thumbs'){
        echo the_post_thumbnail( 'featured-thumbnail' );
    }
}

/*********************************************************************************************************
* Add Admin Panel Thumbnails in Pages
**********************************************************************************************************/

add_filter('manage_pages_columns', 'fiap_pages_columns', 5);
add_action('manage_pages_custom_column', 'fiap_pages_custom_columns', 5, 2);

function fiap_pages_columns($defaults){
    $defaults['fiap_page_thumbs'] = __('Featured Image');
    return $defaults;
}

function fiap_pages_custom_columns($column_name, $id){
        if($column_name === 'fiap_page_thumbs'){
        echo the_post_thumbnail( 'featured-thumbnail' );
    }
}

	function fiap_settings_page() { ?>
		
		<div class="wrap">

			<form name="fiap_form" action="options.php" method="post" >
				<?php settings_fields( 'fiap-settings-group' ); ?>
			<?php do_settings_sections( 'fiap-settings-group' ); ?>
			
				<div id="fiap_wrap">
					<div class="fiap">
						<a target="_blank" href="https://www.seosthemes.com">
							<div class="btn s-red">
								 <?php _e('SEOS', 'fiap'); echo ' <img class="ss-logo" src="' . plugins_url( 'images/logo.png' , __FILE__ ) . '" alt="logo" />';  _e(' THEMES', 'fiap'); ?>
							</div>
						</a>
					</div>											
					
				</div>
				<h2 style="text-align: center;"><?php _e( 'Featured Image in Admin Panel', 'fiap' ); ?></h2>
				
				<p style="text-align: center; width: 100%; margin: 0 auto;"><img  src="<?php  echo plugins_url( 'images/banner-772x250.png' , __FILE__ ); ?>" alt="img" /></p>
			</form>

			
		</div>
		<div class="clear"></div>
	<?php
	}

	function fiap_language_load() {
	  load_plugin_textdomain('fiap_language_load', FALSE, basename(dirname(__FILE__)) . '/languages');
	}
	add_action('init', 'fiap_language_load');